"use strict";

exports.__esModule = true;
exports.addTerminatingNewline = addTerminatingNewline;
exports.removeTerminatingNewline = removeTerminatingNewline;
exports.carriageReturnLineFeed = exports.carriageReturn = exports.lineFeed = void 0;

var _detectNewline2 = _interopRequireDefault(require("detect-newline"));

var _endsWithString = _interopRequireDefault(require("ends-with-string"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var lineFeed = "\n";
exports.lineFeed = lineFeed;
var carriageReturn = "\r";
exports.carriageReturn = carriageReturn;
var carriageReturnLineFeed = "\r\n";
exports.carriageReturnLineFeed = carriageReturnLineFeed;
var defaultNewline = lineFeed;

function addTerminatingNewline(input, options) {
  var _ref, _detectNewline;

  var newline = (_ref = (_detectNewline = (0, _detectNewline2["default"])(input.toString())) != null ? _detectNewline : options == null ? void 0 : options["default"]) != null ? _ref : defaultNewline;

  if ((0, _endsWithString["default"])(input, newline)) {
    return input;
  } else if (typeof input === "string") {
    return input + newline;
  } else {
    return Buffer.concat([input, Buffer.from(newline)]);
  }
}

function removeTerminatingNewline(string) {
  if ((0, _endsWithString["default"])(string, carriageReturnLineFeed)) {
    return string.slice(0, string.length - carriageReturnLineFeed.length);
  } else if ((0, _endsWithString["default"])(string, lineFeed)) {
    return string.slice(0, string.length - lineFeed.length);
  } else {
    return string;
  }
}